Subject: Re: [PATCH] Avoid using non-portable `echo -n` in tests.

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 Oct 2008 01:15:51 -0700

Brian Gernhardt <[email-masked]> writes:

> Not all /bin/sh have a builtin echo that recognizes -n.  Using printf
> is far more portable.

This is much better (minor nit: we do not care if echo is built-in or
/bin/echo); the point of t4030 is to produce an incomplete line ;-).

Will queue, thanks.